Exports
Prepare artifact version for export
Prepare an artifact version to be exported by returning a signed payload containing presigned URLs for the artifact files.
GET
/
artifacts
/
v1
/
artifacts
/
{artifact-id}
/
versions
/
{execution-name}
/
export-types
/
{export-type}
/
exports
/
{export-target-id}
/
prepare
Prepare artifact version for export
curl --request GET \
--url https://mycluster.domino.tech/flows/api/artifacts/v1/artifacts/{artifact-id}/versions/{execution-name}/export-types/{export-type}/exports/{export-target-id}/prepareimport requests
url = "https://mycluster.domino.tech/flows/api/artifacts/v1/artifacts/{artifact-id}/versions/{execution-name}/export-types/{export-type}/exports/{export-target-id}/prepare"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://mycluster.domino.tech/flows/api/artifacts/v1/artifacts/{artifact-id}/versions/{execution-name}/export-types/{export-type}/exports/{export-target-id}/prepare', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://mycluster.domino.tech/flows/api/artifacts/v1/artifacts/{artifact-id}/versions/{execution-name}/export-types/{export-type}/exports/{export-target-id}/prepare",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://mycluster.domino.tech/flows/api/artifacts/v1/artifacts/{artifact-id}/versions/{execution-name}/export-types/{export-type}/exports/{export-target-id}/prepare"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://mycluster.domino.tech/flows/api/artifacts/v1/artifacts/{artifact-id}/versions/{execution-name}/export-types/{export-type}/exports/{export-target-id}/prepare")
.asString();require 'uri'
require 'net/http'
url = URI("https://mycluster.domino.tech/flows/api/artifacts/v1/artifacts/{artifact-id}/versions/{execution-name}/export-types/{export-type}/exports/{export-target-id}/prepare")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"payload": [
{
"filename": "<string>",
"url": "<string>"
}
],
"signature": "<string>",
"$schema": "https://example.com/schemas/SignedArtifactVersionPresignedUrls.json"
}{
"$schema": "https://example.com/schemas/ErrorModel.json",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example"
}Path Parameters
UUID of the artifact
Name of the workflow execution
Export type: dataset, report, model
Export target ID e.g. Domino Dataset ID
Query Parameters
Project of the workflow execution
Domain of the workflow execution
Response
OK
Was this page helpful?
⌘I
Prepare artifact version for export
curl --request GET \
--url https://mycluster.domino.tech/flows/api/artifacts/v1/artifacts/{artifact-id}/versions/{execution-name}/export-types/{export-type}/exports/{export-target-id}/prepareimport requests
url = "https://mycluster.domino.tech/flows/api/artifacts/v1/artifacts/{artifact-id}/versions/{execution-name}/export-types/{export-type}/exports/{export-target-id}/prepare"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://mycluster.domino.tech/flows/api/artifacts/v1/artifacts/{artifact-id}/versions/{execution-name}/export-types/{export-type}/exports/{export-target-id}/prepare', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://mycluster.domino.tech/flows/api/artifacts/v1/artifacts/{artifact-id}/versions/{execution-name}/export-types/{export-type}/exports/{export-target-id}/prepare",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://mycluster.domino.tech/flows/api/artifacts/v1/artifacts/{artifact-id}/versions/{execution-name}/export-types/{export-type}/exports/{export-target-id}/prepare"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://mycluster.domino.tech/flows/api/artifacts/v1/artifacts/{artifact-id}/versions/{execution-name}/export-types/{export-type}/exports/{export-target-id}/prepare")
.asString();require 'uri'
require 'net/http'
url = URI("https://mycluster.domino.tech/flows/api/artifacts/v1/artifacts/{artifact-id}/versions/{execution-name}/export-types/{export-type}/exports/{export-target-id}/prepare")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"payload": [
{
"filename": "<string>",
"url": "<string>"
}
],
"signature": "<string>",
"$schema": "https://example.com/schemas/SignedArtifactVersionPresignedUrls.json"
}{
"$schema": "https://example.com/schemas/ErrorModel.json",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example"
}